How can I use the 'Project Objects To Profile View' command using the Civil 3D API, with C#?
I have several CogoPoints, and I want to project those in a selected Profile View, and set the label style for different groups.
Solved! Go to Solution.
Solved by IgorRamosTPF. Go to Solution.
refer to the Civil 3D .NET API Ref document, ProfileProjection class has only few properties exposed, create() is not exposed for public usage
but can you see this
// https://forums.autodesk.com/t5/civil-3d-customization/vba-project-object-to-profile-view/m-p/5953577
Set PVObj = ThisDrawing.HandleToObject(PVHandle(i))
PVObj.GetBoundingBox Varmin, VarMax
ZoomWindow Varmin, VarMax
ThisDrawing.SendCommand "_AECCPROJECTOBJECTSTOPROF" & vbCr & "Previous" & vbCr & vbCr & Varmin(0) & "," & VarMax(1) & vbCr
Thanks for the suggestion, I was having trouble using the Editor Command because the last parameter, the one for selecting the Styles, wasn't working. But I solved it this way:
the selection sets were created using SelectionSet.FromObjectIds.
In this way, it still shows this window, but no problem:
Can't find what you're looking for? Ask the community or share your knowledge.